<?php
session_start();

require_once "../../../config/database.php";

// Verificar la sesión de usuario
if (empty($_SESSION['username']) && empty($_SESSION['password'])) {
    header("Location: index.php?alert=1");
    exit();
}

if ($_GET['act'] == 'insert') {
    if (isset($_POST['Guardar'])) {
        $codigo = mysqli_real_escape_string($mysqli, trim($_POST['codigo']));
        $nombre = mysqli_real_escape_string($mysqli, trim($_POST['nombre']));
        $unidad = mysqli_real_escape_string($mysqli, trim($_POST['unidad']));
        $stock = 0;
        $created_user = $_SESSION['id_user'];
        $updated_user = $_SESSION['id_user'];
        $precio_compra2 = mysqli_real_escape_string($mysqli, trim($_POST['precio_compra2']));

        $query = mysqli_query($mysqli, "INSERT INTO medicamentos (codigo, nombre, unidad, stock, created_user, updated_user, precio_compra2) 
                                        VALUES ('$codigo', '$nombre', '$unidad', '$stock', '$created_user', '$updated_user', '$precio_compra2')")
                                        or die('Error al insertar: ' . mysqli_error($mysqli));

        if ($query) {
            header("Location: ../../../main.php?module=view_codigo&alert=1");
            exit();
        }
    }
} elseif ($_GET['act'] == 'update') {
    if (isset($_POST['Guardar'])) {
        if (isset($_POST['codigo'])) {
            $codigo = mysqli_real_escape_string($mysqli, trim($_POST['codigo']));
            $nombre = mysqli_real_escape_string($mysqli, trim($_POST['nombre']));
            $precio_compra2 = mysqli_real_escape_string($mysqli, trim($_POST['precio_compra2']));
            $unidad = mysqli_real_escape_string($mysqli, trim($_POST['unidad']));
            $updated_user = $_SESSION['id_user'];

            $query = mysqli_query($mysqli, "UPDATE medicamentos SET  nombre = '$nombre',
                                                                    unidad = '$unidad',
                                                                    precio_compra2  = '$precio_compra2',
                                                                    updated_user = '$updated_user'
                                              WHERE codigo = '$codigo'")
                                            or die('Error al actualizar: ' . mysqli_error($mysqli));

            if ($query) {
                header("Location: ../../../main.php?module=view_codigo&alert=2");
                exit();
            }
        }
    }
} elseif ($_GET['act'] == 'delete') {
    if (isset($_GET['id'])) {
        $codigo = $_GET['id'];
        $query = mysqli_query($mysqli, "DELETE FROM medicamentos WHERE codigo='$codigo'")
                                        or die('Error al eliminar: ' . mysqli_error($mysqli));

        if ($query) {
            header("Location: ../../../main.php?module=view_codigo&alert=3");
            exit();
        }
    }
}
?>
